/****************************************************************
 * Monkey.h : Italk Monkey (user) class
 *
 * (c) 1997-1998 Yutaka Oiwa.
 *
 * You may distribute this file under the terms of license
 * agreement specified in the files README and LICENCE.
 *
 * $Id: Monkey.h,v 1.4 1998/10/17 18:10:26 yutaka Exp $
 ****************************************************************/

#ifndef MONKEY_H
#define MONKEY_H
#include "Defines.h"

class ItalkServer;

class Monkey
{
public:
  char *who, *where, *status;
  ItalkServer *server;
  int no;

  Monkey(int no_, char *who_, char *where_, 
	 char *status_, ItalkServer *server_) {
    who = NewString(who_);
    where = NewString(where_);
    status = NewString(status_);
    server = server_;
    no = no_;
  }
  Monkey(Monkey &p) {
    who = NewString(p.who);
    where = NewString(p.where);
    status = NewString(p.status);
    server = p.server;
    no = p.no;
  }
  void UpdateHandle(char *s) {
    delete [] who;
    who = NewString(s);
  }
  void UpdateStatus(char *s) {
    delete [] status;
    status = NewString(s);
  }
  ~Monkey() {
    delete[] who;
    delete[] where;
    delete[] status;
  }
};

#endif
